### Function Macro

# GLib datalist_id_remove_data

since: 2.0

#### Declaration

    #define g_datalist_id_remove_data (
      dl,
      q
    )

#### Description

Removes an element, using its `GQuark` identifier.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`dl`

  Type: `-`

  A datalist.

`q`

  Type: `-`

  The `GQuark` identifying the data element.